package jbpmExplained;

import org.drools.runtime.process.WorkItem;
import org.drools.runtime.process.WorkItemHandler;
import org.drools.runtime.process.WorkItemManager;

public class MyTaskHandler implements WorkItemHandler{

	private WorkItemManager workItemManager;
	private WorkItem workItem;

	public void executeWorkItem(WorkItem workItem, WorkItemManager manager) {
		this.workItemManager = manager;
		this.workItem = workItem;
		System.out.println("Executing " + workItem.getName() + " from process: " + MySingleton.getInstance().getKsession().getProcessInstance(workItem.getProcessInstanceId()));
		completeWorkItem();
	}

	public void abortWorkItem(WorkItem workItem, WorkItemManager manager) {
		
	}

	public void completeWorkItem(){
		workItemManager.completeWorkItem(workItem.getId(), null);
	}
}
