package jbpmExplained;

import org.drools.runtime.StatefulKnowledgeSession;

public class MySingleton {

	private static MySingleton instance;
	
	private StatefulKnowledgeSession ksession;

	private MySingleton() {

	}

	public static MySingleton getInstance() {
		if (instance != null) {
			return instance;
		} else {
			instance = new MySingleton();
			return instance;
		}
	}

	public void setKsession(StatefulKnowledgeSession ksession) {
		this.ksession = ksession;
	}

	public StatefulKnowledgeSession getKsession() {
		return ksession;
	}
}
